Bug 838028 - Gnome session not working with freenx-server
Gnome session not working with freenx-server
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
: 846871 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 03:08 EDT by kielogl
Modified: 2015-02-17 09:20 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:20:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nx session log (5.28 KB, application/octet-stream)
2012-07-06 03:08 EDT, kielogl
no flags Details

  None (edit)
Description kielogl 2012-07-06 03:08:24 EDT
Created attachment 596590 [details]
nx session log

Description of problem:
Can't start a gnome-session via freenx-server

Version-Release number of selected component (if applicable):
freenx-server-0.7.3-27.fc17.x86_64
nx-3.5.0-11.fc17.x86_64
gnome-desktop3-3.4.2-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1.yum install freenx-server
2./usr/libexec/nx/nxsetup --install --setup-nomachine-key
3.systemctl restart freenx-server.service 
4.login using Nomachine NX Client for Windows (nxclient-3.5.0-9)

Actual results:
After successful authentication, just the desktop background comes up without menus/toolbars. The only option is to close the NX client window which gives a xmessage suspend, terminate, cancel pop-up.

Expected results:
Usable gnome 3 session starts with menus/toolbars

Additional info:
I have tried setting COMMAND_START_GNOME to "/usr/bin/gnome-session --session=gnome-fallback" in /etc/nxserver/node.conf. This changes gets rid of the "GNOME 3 Failed to Load" error pop-up, but still no menu bars.

It was working on f16 (gnome-desktop3-3.2.1-2.fc16.x86_64 and freenx-server-0.7.3-23.fc16.x86_64).
Comment 1 Ville Skyttä 2012-07-08 11:59:53 EDT
It works fine for me from an F-17 client using remmina to F-16 and F-17 freenx servers. Can you test with remmina (yum install remmina-plugins-nx) for example locally on the box running the freenx server instead of the Windows NX client?
Comment 2 kielogl 2012-07-08 23:41:21 EDT
Have tried remmina as requested and it works. Is the Nomachine NX client the only option on Windows?
Comment 3 Ville Skyttä 2012-07-09 08:42:11 EDT
I'm not aware of other clients for Windows, nor have I tried even that one out.

Maybe far fetched, but have you tried installing the nxfonts*.exe packages?
http://www.nomachine.com/download-package.php?Prod_Id=3835

There's also a 4.0 preview client/player available, no idea if it's supposed to work with NX 3.5.x: http://www.nomachine.com/preview/download-package.php?Prod_Id=14

Anyway, turning on logging in /etc/nxserver/node.conf (NX_LOG* settings) on the server might provide some hints to why things don't work.
Comment 4 kielogl 2012-07-10 09:22:16 EDT
Thanks for the suggestion on the 4.0 preview client/player - it works well (gnome fallback mode).

I have NX_LOG_LEVEL=4 (Server - Client communication) and it seemed NX server was reporting the X session started up and closed normally as far as it was concerned. For NX 3.5 client:

...
NX> 705 Session display: 2002
NX> 703 Session type: unix-gnome
NX> 701 Proxy cookie: b2d192fbc2c7ba31cad5f031ac78489c
NX> 702 Proxy IP: 69.64.65.56
NX> 706 Agent cookie: b2d192fbc2c7ba31cad5f031ac78489c
NX> 704 Session cache: unix-gnome
NX> 707 SSL tunneling: 1
NX> 709 File-sharing port: 445
NX> 1009 Session status: starting
NX> 710 Session status: running
NX> 1002 Commit
NX> 1006 Session status: running
NX> 105 bye
Bye
NX> 999 Bye
NX> 1009 Session status: terminating
Info: Closing connection to slave with pid 25243.
1001 Bye.
NX> 1006 Session status: closed
NX> 1001 Bye.
Info: Closing connection to slave with pid 25243.

The log sequence is the same for the working 4.0 preview client.

I will try it at debug level tomorrow.
Comment 5 kielogl 2012-07-11 19:09:58 EDT
There is no additional info between starting session and terminating session with NX_LOG_LEVEL=7 (6: Debugging information, 7: stderror of some applications).

The 4.0 preview client/player resolves my problem, but let me know if I can assist with any further 3.5 NX client debug suggestions.
Comment 6 silvertip257 2012-07-15 15:21:24 EDT
I'm experiencing the same behavior (loads the wallpaper, but no panel) with F17 x86_64, FreeNX, and NoMachine's 3.5.0-9 client for Windows.

Name        : freenx-server
Arch        : x86_64
Version     : 0.7.3
Release     : 27.fc17

I previously set COMMAND_START_GNOME to "/usr/bin/gnome-session --session=gnome-fallback" as kielogl did.

As soon as the desktop wallpaper loads, I am presented with a dialog that says:
  The panel encountered a problem while loading "NotificationAreaAppletFactory::NotificationArea".
  Do you want to delete the applet from your configuration?
  [ Don't Delete ] [ Delete ]

I chose Don't Delete since I'm not going to delete the applet.
And after that my option is to click the close button on the nxclient and tell it to terminate.

For kicks I set COMMAND_START_GNOME to "/usr/bin/gnome-session --session=gnome" and Gnome instead informs me it's dropping back to fallback mode (as expected).

[0] http://forums.fedoraforum.org/showthread.php?t=281907
[1] http://forums.fedoraforum.org/showthread.php?t=280381
[2] https://bugzilla.redhat.com/show_bug.cgi?id=827176
[3] http://www.nomachine.com/fr/view.php?id=FR06I02466
Comment 7 Dave Fagan 2012-07-23 12:40:15 EDT
It appears that the session is starting properly in fall-back.  However, the resolution is remaining the maximum possible on the host machine rather than adjusting for the size of the client settings.  This results in viewing the center of the desktop and no ability to see the menus.  Dialog boxes will sometimes appear partially within this viewport.  Suspending and reconnecting will result in an adjusted resolution, but there seem to be some other bugs including lack of proper function of arrow keys.  I've been able to reproduce this using both Windows and Linux versions of the 3.5 client.
Comment 8 Ville Skyttä 2012-08-11 04:16:06 EDT
*** Bug 846871 has been marked as a duplicate of this bug. ***
Comment 9 Robert K. Moniot 2012-08-11 08:45:52 EDT
What works for me: use Ctrl-Alt-R to get into desktop resize mode.  That makes it adjust the resolution to the correct size.
Comment 10 silvertip257 2012-09-08 15:06:45 EDT
@Robert:
Thanks for posting your workaround!  Works fine for me ... the panning one has to do to use the desktop is a bit of a drag though!

@Fedora Maintainers:
Just having to do this extra step (Ctrl+Alt+r) is a pain (and then the panning), but works ok.
This current bug makes the functionality via FreeNX quite cumbersome and work from a remote GNOME3 desktop is not very productive.  Unfortunately _not quite_ everything can be done from a shell.


I might look into installing XFCE, another desktop environment, or even a simple window manager for occasional FreeNX usage.  And use GNOME3 at my local display.  ;)
Comment 11 Robert K. Moniot 2012-09-08 17:04:15 EDT
silvertip257:
Sounds like you are getting into viewport mode instead of desktop resize mode.  Try hitting Ctrl-Alt-R a second time.
Comment 12 silvertip257 2012-09-08 23:03:11 EDT
@Robert:
You're right on with that.  Thanks!
My lack of attention to the message the first time I saw it has bitten me. :/
I appreciate you pointing it out to me.  It's a bit more usable already!

[quote]
The session is now running in viewport mode. You can
navigate across different areas of the desktop window
by dragging the desktop with the mouse or by using the
arrows keys while pressing Ctrl+Alt. Press Ctrl+Alt+R
again to return to the desktop resize mode.
[/quote]
Comment 13 Don Fore 2013-01-20 16:56:57 EST
Looks like this bug is still an issue using the Windows client (3.5.0-9) to Fedora 17. It sure would be nice to see a resolution in the near future. I continue to user CTRL+ATL+R (twice in a row) as a workaround.

[don@scorpion ~]$ uname -a
Linux scorpion 3.6.11-5.fc17.i686.PAE #1 SMP Tue Jan 8 21:49:19 UTC 2013 i686 i686 i386 GNU/Linux
[don@scorpion ~]$ yum list installed | grep -i freenx
freenx-server.i686                        0.7.3-27.fc17              @updates   
[don@scorpion ~]$ 

NX Keyboard shortcuts can be found here -
http://www.nomachine.com/ar/view.php?ar_id=AR03C00172
Comment 14 Fedora End Of Life 2013-07-03 15:43:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 kielogl 2013-07-05 00:57:42 EDT
Updated version to Fedora 19 as Ctrl-Alt-R workaround posted by Robert K. Moniot above is still required in current release.
Comment 16 Dylan Graham 2013-07-08 02:51:13 EDT
I tried all of the above workarounds after my Fedora 19 upgrade (FedUp) with no luck.

kernel-3.9.9-301.fc19.x86_64
freenx-server-0.7.3-31.fc19.x86_64
nx-3.5.0-17.fc19.x86_64

Ended up installing MATE Desktop and using /usr/bin/mate-session as the custom launch command. This is now working from an Ubuntu client (nxclient_3.5.0-7_amd64.deb).
Comment 17 Fedora End Of Life 2015-01-09 12:14:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-17 09:20:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.